#include "stm32f10x.h"
#include <math.h>
#include <string.h>

#define DELAY                1 << 17
#define BITMASK              1 << 15

const char sa[] = "just some junk here\r\n\0";
const char sb[] = "another null terminated string\0";
float a,b,c;
double x,y,z;

int main(void){
  int d;
  
  d = strlen(sa);
  a = cosf(32.77 * d);
  b = sinf(12.22 / a);
  c = sqrtf( a * b * d);
  x = cos(117.3 * strlen(sb));
  y = sin(3.0* x);
  z = sqrt(x * y);
  
  RCC->APB2ENR |= RCC_APB2ENR_IOPBEN; //enable GPIOB
  GPIOB->CRH = 0x24444444;            //cfg GPIOB.15 as output
  while (1) {
     GPIOB->BSRR = BITMASK;
     for (d = DELAY; d; d--);
     GPIOB->BRR = BITMASK;
     for (d = DELAY << 2; d; d--);
  }
  /* return 0; */
}
